---
updatedAt: 2026-06-19T17:13:18.000Z
agentTools:
  projectIndex: https://alvys.readme.io/llms.txt
---

# Get delivery log detail

Returns full detail of a single delivery attempt including response body and entity metadata.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Alvys",
    "description": "Alvys provides a robust set of REST APIs to allow you to integrate Alvys into virtually any platform. These APIs cover most of Alvys' major product areas with additional endpoints being added regularly based on customer requests.",
    "contact": {
      "name": "Alvys Support",
      "url": "https://www.alvys.com/resources/contact/"
    },
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://integrations.alvys.com",
      "description": "Public API Server"
    },
    {
      "url": "https://api.alvys.com/",
      "description": "Public API Server"
    }
  ],
  "paths": {
    "/api/p/v{version}/webhooks/{webhookId}/delivery-logs/{logId}": {
      "get": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Get delivery log detail",
        "description": "Returns full detail of a single delivery attempt including response body and entity metadata.",
        "parameters": [
          {
            "name": "webhookId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "logId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "version",
            "in": "path",
            "description": "API version (e.g., 1.0)",
            "required": true,
            "schema": {
              "type": "string",
              "default": "1.0",
              "example": "1.0"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Alvys.Models.Webhooks.DeliveryLogDetailResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"
                }
              },
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"
                }
              },
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Public": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Alvys.Models.Webhooks.DeliveryLogDetailResponse": {
        "required": [
          "AttemptNumber",
          "ConsumerUrl",
          "DurationMs",
          "EntityId",
          "EntityType",
          "EventId",
          "EventTimestamp",
          "EventType",
          "Id",
          "Status",
          "Timestamp"
        ],
        "type": "object",
        "properties": {
          "Id": {
            "type": "string"
          },
          "EventId": {
            "type": "string"
          },
          "EventType": {
            "type": "string"
          },
          "Status": {
            "type": "string"
          },
          "HttpStatusCode": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "HttpMethod": {
            "type": "string",
            "nullable": true
          },
          "DurationMs": {
            "type": "integer",
            "format": "int64"
          },
          "AttemptNumber": {
            "type": "integer",
            "format": "int32"
          },
          "Timestamp": {
            "type": "string",
            "format": "date-time"
          },
          "EventTimestamp": {
            "type": "string",
            "format": "date-time"
          },
          "ConsumerUrl": {
            "type": "string"
          },
          "ResponseBody": {
            "type": "string",
            "nullable": true
          },
          "ErrorMessage": {
            "type": "string",
            "nullable": true
          },
          "EntityType": {
            "type": "string"
          },
          "EntityId": {
            "type": "string"
          }
        },
        "additionalProperties": false
      },
      "Microsoft.AspNetCore.Mvc.ProblemDetails": {
        "type": "object",
        "properties": {
          "Type": {
            "type": "string",
            "nullable": true
          },
          "Title": {
            "type": "string",
            "nullable": true
          },
          "Status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "Detail": {
            "type": "string",
            "nullable": true
          },
          "Instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      }
    },
    "securitySchemes": {
      "Public": {
        "type": "apiKey",
        "description": "JWT token needed to access the endpoints. (eg.) Bearer: <token>",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```